### Method

# Vips Object to_string

#### Declaration [src]

    void
    vips_object_to_string (
      VipsObject* object,
      VipsBuf* buf
    )

#### Description [src]

The inverse of `vips_object_new_from_string()`: turn `object` into eg. `"VipsInterpolateSnohalo1(blur=.333333)"`.

#### Parameters

`buf`

  Type: `VipsBuf`

  Write string here.

  The data is owned by the caller of the method.